<template lang="pug">
  div(class="sm:container mx-auto")
    BlogItem(:document="article" :articleSurround="articleSurround")/
</template>

<script>
import {mapState} from 'vuex'

export default {
  async fetch({params, store: {dispatch, getters}}) {
    await dispatch('getArticle', params)
    await dispatch('getArticleSurround')
  },
  computed: {
    ...mapState({
      article:         (state) => state.article.data,
      articleSurround: (state) => state.articleSurround.data
    })
  },
  head() {
    const i18nHead = this.$nuxtI18nHead({addSeoAttributes: true})

    return {
      title:     this.pageTitle(this.$i18n.t('name'), this.$i18n.t('description')),
      htmlAttrs: {
        ...i18nHead.htmlAttrs
      },
      meta:      [
        {
          hid: 'description', name: 'description', content: this.article.description
        },
        {
          hid:      'og:title',
          name:     "og:title",
          property: "og:title",
          content:  this.pageTitle(this.$i18n.t('name'), this.article.title)
        },
        {
          hid:      'og:description',
          name:     "og:description",
          property: "og:description",
          content:  this.article.description
        },
        {
          hid:      'og:url',
          name:     "og:url",
          property: "og:url",
          content:  this.article.path
        }
      ],
      link:      [...i18nHead.link],
    }
  },
}
</script>
